Skip to main content
`Ctrl`+`K`

# DMPlexGenerate

Generates a mesh.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGenerate(DM boundary, const char name[], PetscBool interpolate, DM *mesh)

Not Collective

## Input Parameters

- boundary - The `DMPLEX` boundary object

- name - The mesh generation package name

- interpolate - Flag to create intermediate mesh elements

## Output Parameter

- mesh - The `DMPLEX` object

## Options Database Keys

- -dm_plex_generate <name> - package to generate mesh, for example, triangle, ctetgen or tetgen

- -dm_generator <name> - package to generate mesh, for example, triangle, ctetgen or tetgen

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMRefine()`

## Level

intermediate

## Location

src/dm/impls/plex/plexgenerate.c

## Implementations

DMPlexGenerate_CTetgen() in src/dm/impls/plex/generators/ctetgen/ctetgenerate.c
DMPlexGenerate_Tetgen() in src/dm/impls/plex/generators/tetgen/tetgenerate.cxx
DMPlexGenerate_Triangle() in src/dm/impls/plex/generators/triangle/trigenerate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages